Bug 2829 - winbind dumps core on Solaris 9/Sparc
winbind dumps core on Solaris 9/Sparc
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.20
Sparc Solaris
: P3 regression
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-27 10:01 UTC by Robert M Martel
Modified: 2005-08-24 10:26 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert M Martel 2005-06-27 10:01:05 UTC
Samba 3.0.20pre1 built with gcc 3.2.2 under solaris 9 w/ openldap 2.2.24 and MIT
kerberos 1.4. 

 Samba built with:

./configure --prefix=/opt/local/samba --with-automount --with-profile
--with-acl-support --with-utmp --with-winbind --with-ads --with-ldap
--with-krb5=/opt/local/kerberos5 --with-pam


Within 1 minute of starting samba and winbind, winbind dumps core.  Unable to
authentcate against Active Directory server (no surprise there.)  This server
had been a member server under AD with Samba 3.0.14a.

Output from gdb "where" on the core file:

 (gdb) where
#0  0xfef1f82c in _lwp_kill () from /usr/lib/libc.so.1
#1  0xfeed0a24 in raise () from /usr/lib/libc.so.1
#2  0xfeeb6ce0 in abort () from /usr/lib/libc.so.1
#3  0x000a1bf4 in smb_panic2 ()

---------------------------------------
log file from winbind
# cat smblog.winbindd
[2005/06/27 08:51:32, 2] lib/interface.c:add_interface(81)
  added interface ip=137.148.96.26 bcast=137.148.97.255 nmask=255.255.254.0
[2005/06/27 08:51:32, 5] lib/util.c:init_names(260)
  Netbios name list:-
  my_netbios_names[0]="TECHOPS-TEST"
[2005/06/27 08:51:32, 2] lib/interface.c:add_interface(81)
  added interface ip=137.148.96.26 bcast=137.148.97.255 nmask=255.255.254.0
[2005/06/27 08:51:32, 5] lib/gencache.c:gencache_init(59)
  Opening cache file at /opt/local/samba/var/locks/gencache.tdb
[2005/06/27 08:51:32, 5] libsmb/namecache.c:namecache_enable(58)
  namecache_enable: enabling netbios namecache, timeout 660 seconds
[2005/06/27 08:51:32, 5] sam/idmap.c:smb_register_idmap(91)
  smb_register_idmap: Successfully added idmap backend 'ldap'
[2005/06/27 08:51:32, 5] sam/idmap.c:smb_register_idmap(91)
  smb_register_idmap: Successfully added idmap backend 'tdb'
[2005/06/27 08:51:32, 10] sam/idmap_tdb.c:db_idmap_init(500)
  db_idmap_init: Opening tdbfile /opt/local/samba/var/locks/winbindd_idmap.tdb
[2005/06/27 08:51:33, 8] lib/util.c:fcntl_lock(1815)
  fcntl_lock 8 34 0 1 2
[2005/06/27 08:51:33, 8] lib/util.c:fcntl_lock(1850)
  fcntl_lock: Lock call successful
[2005/06/27 08:51:33, 2] lib/tallocmsg.c:register_msg_pool_usage(56)
  Registered MSG_REQ_POOL_USAGE
[2005/06/27 08:51:33, 2] lib/dmallocmsg.c:register_dmalloc_msgs(71)
  Registered MSG_REQ_DMALLOC_MARK and LOG_CHANGED
[2005/06/27 08:51:33, 2] nsswitch/winbindd_util.c:add_trusted_domain(166)
  Added domain CSUNET CSUNET.CSUOHIO.EDU S-1-5-21-3414352988-972178952-4124595837
[2005/06/27 08:51:33, 2] nsswitch/winbindd_util.c:add_trusted_domain(166)
  Added domain BUILTIN  S-1-5-32
[2005/06/27 08:51:33, 2] nsswitch/winbindd_util.c:add_trusted_domain(166)
  Added domain TECHOPS-TEST  S-1-5-21-3437838800-3425102864-2607234159
[2005/06/27 08:51:33, 10] nsswitch/winbindd_util.c:open_winbindd_socket(890)
  open_winbindd_socket: opened socket fd 12
[2005/06/27 08:51:33, 10] nsswitch/winbindd_util.c:open_winbindd_priv_socket(902)
  open_winbindd_priv_socket: opened socket fd 14
[2005/06/27 08:51:58, 6] nsswitch/winbindd.c:new_connection(603)
  accepted socket 13
[2005/06/27 08:51:58, 10] nsswitch/winbindd.c:process_request(332)
  process_request: request fn INTERFACE_VERSION
[2005/06/27 08:51:58, 3] nsswitch/winbindd_misc.c:winbindd_interface_version(460)
  [    0]: request interface version
[2005/06/27 08:51:58, 10] nsswitch/winbindd.c:process_request(332)
  process_request: request fn WINBINDD_PRIV_PIPE_DIR
[2005/06/27 08:51:58, 3] nsswitch/winbindd_misc.c:winbindd_priv_pipe_dir(493)
  [    0]: request location of privileged pipe
[2005/06/27 08:51:58, 6] nsswitch/winbindd.c:new_connection(603)
  accepted socket 17
[2005/06/27 08:51:58, 10] nsswitch/winbindd.c:process_request(332)
  process_request: request fn LIST_GROUPS
[2005/06/27 08:51:58, 3] nsswitch/winbindd_group.c:winbindd_list_groups(804)
  [    0]: list groups
[2005/06/27 08:51:58, 4] nsswitch/winbindd_group.c:get_sam_group_entries(514)
  get_sam_group_entries: Native Mode 2k domain; enumerating local groups as well
[2005/06/27 08:51:58, 5] passdb/pdb_interface.c:make_pdb_context_list(870)
  Trying to load: smbpasswd
[2005/06/27 08:51:58, 5] passdb/pdb_interface.c:smb_register_passdb(94)
  Attempting to register passdb backend ldapsam
[2005/06/27 08:51:58, 5] passdb/pdb_interface.c:smb_register_passdb(107)
  Successfully added passdb backend 'ldapsam'
[2005/06/27 08:51:58, 5] passdb/pdb_interface.c:smb_register_passdb(94)
  Attempting to register passdb backend ldapsam_compat
[2005/06/27 08:51:58, 5] passdb/pdb_interface.c:smb_register_passdb(107)
  Successfully added passdb backend 'ldapsam_compat'
[2005/06/27 08:51:58, 5] passdb/pdb_interface.c:smb_register_passdb(94)
  Attempting to register passdb backend NDS_ldapsam
[2005/06/27 08:51:58, 5] passdb/pdb_interface.c:smb_register_passdb(107)
  Successfully added passdb backend 'NDS_ldapsam'
[2005/06/27 08:51:58, 5] passdb/pdb_interface.c:smb_register_passdb(94)
  Attempting to register passdb backend NDS_ldapsam_compat
[2005/06/27 08:51:58, 5] passdb/pdb_interface.c:smb_register_passdb(107)
  Successfully added passdb backend 'NDS_ldapsam_compat'
[2005/06/27 08:51:58, 5] passdb/pdb_interface.c:smb_register_passdb(94)
  Attempting to register passdb backend smbpasswd
[2005/06/27 08:51:58, 5] passdb/pdb_interface.c:smb_register_passdb(107)
  Successfully added passdb backend 'smbpasswd'
[2005/06/27 08:51:58, 5] passdb/pdb_interface.c:smb_register_passdb(94)
  Attempting to register passdb backend tdbsam
[2005/06/27 08:51:58, 5] passdb/pdb_interface.c:smb_register_passdb(107)
  Successfully added passdb backend 'tdbsam'
[2005/06/27 08:51:58, 5] passdb/pdb_interface.c:smb_register_passdb(94)
  Attempting to register passdb backend guest
[2005/06/27 08:51:58, 5] passdb/pdb_interface.c:smb_register_passdb(107)
  Successfully added passdb backend 'guest'
[2005/06/27 08:51:58, 5] passdb/pdb_interface.c:make_pdb_methods_name(748)
  Attempting to find an passdb backend to match smbpasswd (smbpasswd)
[2005/06/27 08:51:58, 5] passdb/pdb_interface.c:make_pdb_methods_name(769)
  Found pdb backend smbpasswd
[2005/06/27 08:51:58, 5] passdb/pdb_interface.c:make_pdb_methods_name(772)
  pdb backend smbpasswd has a valid init
[2005/06/27 08:51:58, 5] passdb/pdb_interface.c:make_pdb_methods_name(748)
  Attempting to find an passdb backend to match guest (guest)
[2005/06/27 08:51:58, 5] passdb/pdb_interface.c:make_pdb_methods_name(769)
  Found pdb backend guest
[2005/06/27 08:51:58, 5] passdb/pdb_interface.c:make_pdb_methods_name(772)
  pdb backend guest has a valid init
[2005/06/27 08:51:58, 3] nsswitch/winbindd_group.c:get_sam_group_entries(519)
  get_sam_group_entries: Failed to enumerate domain local groups!
[2005/06/27 08:51:58, 4] nsswitch/winbindd_group.c:get_sam_group_entries(514)
  get_sam_group_entries: Native Mode 2k domain; enumerating local groups as well
[2005/06/27 08:51:58, 3] nsswitch/winbindd_group.c:get_sam_group_entries(519)
  get_sam_group_entries: Failed to enumerate domain local groups!
[2005/06/27 08:51:58, 8] nsswitch/winbindd_cm.c:connection_ok(797)
  Connection to  for domain CSUNET has NULL cli!
[2005/06/27 08:51:58, 4] passdb/secrets.c:secrets_fetch_trust_account_password(281)
  Using cleartext machine password
[2005/06/27 08:51:58, 8] libsmb/namequery.c:get_sorted_dc_list(1433)
  get_sorted_dc_list: attempting lookup using [lmhosts wins host bcast]
[2005/06/27 08:51:58, 10] libsmb/namequery.c:internal_resolve_name(1028)
  internal_resolve_name: looking up csu-main-i#20
[2005/06/27 08:51:58, 10] lib/gencache.c:gencache_get(263)
  Returning valid cache entry: key = NBT/CSU-MAIN-I#20, value = 137.148.5.104:0,
timeout = Mon Jun 27 09:02:39 2005
   
[2005/06/27 08:51:58, 5] libsmb/namecache.c:namecache_fetch(201)
  name csu-main-i#20 found.
[2005/06/27 08:51:58, 10] libsmb/namequery.c:remove_duplicate_addrs2(320)
  remove_duplicate_addrs2: looking for duplicate address/port pairs
[2005/06/27 08:51:58, 4] libsmb/namequery.c:get_dc_list(1406)
  get_dc_list: returning 1 ip addresses in an ordered list
[2005/06/27 08:51:58, 4] libsmb/namequery.c:get_dc_list(1407)
  get_dc_list: 137.148.5.104:389
[2005/06/27 08:51:58, 8] lib/util.c:fcntl_lock(1815)
  fcntl_lock 19 34 0 1 1
[2005/06/27 08:51:58, 3] lib/util.c:fcntl_lock(1826)
  fcntl_lock: fcntl lock gave errno 11 (Resource temporarily unavailable)
[2005/06/27 08:51:58, 3] lib/util.c:fcntl_lock(1845)
  fcntl_lock: lock failed at offset 0 count 1 op 34 type 1 (Resource temporarily
unavailable)
[2005/06/27 08:51:58, 4] libsmb/clidgram.c:cli_send_mailslot(100)
  send_mailslot: Sending to mailslot \MAILSLOT\NET\NTLOGON from TECHOPS-TEST<00>
to CSUNET<1c> IP 137.148.5.104
[2005/06/27 08:51:58, 5] nsswitch/winbindd_cm.c:receive_getdc_response(477)
  Received packet for \MAILSLOT\NET\GETDC89940568
[2005/06/27 08:51:58, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2005/06/27 08:51:58, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 10 in pid 27754 (3.0.20pre1)
  Please read the appendix Bugs of the Samba HOWTO collection
[2005/06/27 08:51:58, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2005/06/27 08:51:58, 0] lib/util.c:smb_panic2(1548)
  PANIC: internal error
[2005/06/27 08:51:59, 10] nsswitch/winbindd_dual.c:dual_client_read(69)
  client_read: read 0 bytes. Need 1828 more for a full request.
[2005/06/27 08:51:59, 5] nsswitch/winbindd_dual.c:dual_client_read(76)
  read failed on sock 9, pid 27754: EOF
Comment 1 Robert M Martel 2005-06-28 06:39:54 UTC
I re-built samba with --enable-debug set for configure.  When I run gdb against
the winbindd core file now I get the following output from the "where" command:

(gdb) where
#0  0xfee1f82c in _lwp_kill () from /usr/lib/libc.so.1
#1  0xfedd0a24 in raise () from /usr/lib/libc.so.1
#2  0xfedb6ce0 in abort () from /usr/lib/libc.so.1
#3  0x000f2a34 in smb_panic2 (why=0xcad00 "\235&#65535;&#65535;\220&#65535;'&#65535;D&#65535;\a&#65535;D\177&#65535;&#65535;\"\001",
decrement_pid_count=32) at lib/util.c:1614
Comment 2 Volker Lendecke 2005-07-01 04:00:14 UTC
That is the complete backtrace? Is it possible that this goes a bit deeper, not
just 4 functions?

Volker
Comment 3 Robert M Martel 2005-07-01 05:10:58 UTC
I'll be happy to try again, but this is the most I've been able to get out of
gdb.  I have never used it before this event so I am open to any suggestions.

-Bob
Comment 4 Robert M Martel 2005-07-13 12:54:21 UTC
Winbind in Samba 3.0.20pre2 still dumps core after starting.

Same as seen in 3.0.20pre1


from gdb:

(gdb) bt
#0  0xfee1f82c in _lwp_kill () from /usr/lib/libc.so.1
#1  0xfedd0a24 in raise () from /usr/lib/libc.so.1
#2  0xfedb6ce0 in abort () from /usr/lib/libc.so.1
#3  0x000f3d5c in smb_panic2 (why=0xcbd0c "\235&#65535;&#65535;\220&#65535;'&#65535;D&#65535;\a&#65535;D\177&#65535;&#65535;\"\001",
decrement_pid_count=32) at lib/util.c:1614
Comment 5 Gerald (Jerry) Carter 2005-07-14 09:28:42 UTC
ok.  Thanks for the update.  I'll continue to work on this.
Comment 6 Gerald (Jerry) Carter 2005-07-28 05:50:08 UTC
This is fixed now (to be released in 3.0.20rc1)
Comment 7 Gerald (Jerry) Carter 2005-08-24 10:26:59 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.